﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Tu compra";
}

<div class="delivery-detail shopping-cart">
    <div class="delivery-detail__header">
        <h2 class="delivery-detail__header-title">Detalle de envío</h2>
    </div>

    <div class="delivery-detail__header-subtitle hidden-xs">
        Orden: #@Model.OrderId | Domicilio de Entrega: @Model.DeliveryAddress
    </div>

    <div class="delivery-detail__body">
        <div class="delivery-detail__header-subtitle visible-xs">
            Orden: #@Model.OrderId <br />
            <span style="color: #a0a0a0;">Domicilio de Entrega: </span> <br />
            <span style="color: #a0a0a0;">@Model.DeliveryAddress </span>
        </div>

        @if (Model.Order.OrderStatusId == (int)OrderStatusEnum.Confirmado && Model.Order.DeliveryStatusId == (int)DeliveryStatusEnum.Entregado)
        {
            <span class="delivery-detail__body-title">
                <span>¡Tu pedido está en camino!</span>
            </span>
        }

        <div class="delivery-detail__body-images">


            @if (Model.Order.OrderStatusId == (int)OrderStatusEnum.Confirmado)
            {
                if (Model.Order.DeliveryStatusId == (int)DeliveryStatusEnum.Entregado)
                {
                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoCompleta-desktop.png" class="hidden-xs" />
                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoCompleta-mobile.png" class="visible-xs" />

                        <div class="description">
                            <div class="description-element">
                                <span class="title">Pedido realizado</span>
                                <span>@Model.Order.Created</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pago confirmado</span>
                                <span>@Model.Order.ConfirmedDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido empaquetado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido enviado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                        </div>
                }
                else
                {
                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoMedia-desktop.png" class="hidden-xs" />
                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoMedia-mobile.png" class="visible-xs" />

                        <div class="description">
                            <div class="description-element">
                                <span class="title">Pedido realizado</span>
                                <span>@Model.Order.Created</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pago confirmado</span>
                                <span>@Model.Order.ConfirmedDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido empaquetado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido enviado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                        </div>
                }
            }
            else
            {
                <img src="~/Content/images/DetalleEnvio/FlechaSeguimiento1-desktop.png" class="hidden-xs" />
                                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimiento1-mobile.png" class="visible-xs" />

                                    <div class="description">
                                        <div class="description-element">
                                            <span class="title">Pedido realizado</span>
                                            <span>@Model.Order.Created</span>
                                        </div>
                                        <div class="description-element">
                                            <span class="title">Pago confirmado</span>
                                            <span>@Model.Order.ConfirmedDate</span>
                                        </div>
                                        <div class="description-element">
                                            <span class="title">Pedido empaquetado</span>
                                            <span>@Model.Order.DeliveryDate</span>
                                        </div>
                                        <div class="description-element">
                                            <span class="title">Pedido enviado</span>
                                            <span>@Model.Order.DeliveryDate</span>
                                        </div>
                                    </div>
            }


            @*@if (Model.Order.Created != null && Model.Order.OrderStatusId != (int)OrderStatusEnum.Confirmado)
            {
                if (Model.Order.OrderStatusId != (int)OrderStatusEnum.Confirmado && Model.Order.ConfirmedDate != null)
                {
                    if (Model.Order.DeliveryStatusId == (int)DeliveryStatusEnum.Entregado && Model.Order.DeliveryDate != null)
                    {
                        <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoCompleta-desktop.png" class="hidden-xs" />
                        <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoCompleta-mobile.png" class="visible-xs" />

                        <div class="description">
                            <div class="description-element">
                                <span class="title">Pedido realizado</span>
                                <span>@Model.Order.Created</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pago confirmado</span>
                                <span>@Model.Order.ConfirmedDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido empaquetado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido enviado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                        </div>
                    }
                    else
                    {
                        <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoMedia-desktop.png" class="hidden-xs" />
                        <img src="~/Content/images/DetalleEnvio/FlechaSeguimientoMedia-mobile.png" class="visible-xs" />

                        <div class="description">
                            <div class="description-element">
                                <span class="title">Pedido realizado</span>
                                <span>@Model.Order.Created</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pago confirmado</span>
                                <span>@Model.Order.ConfirmedDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido empaquetado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido enviado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                        </div>
                    }
                }

            }
            else
            {
                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimiento1-desktop.png" class="hidden-xs" />
                    <img src="~/Content/images/DetalleEnvio/FlechaSeguimiento1-mobile.png" class="visible-xs" />

                        <div class="description">
                            <div class="description-element">
                                <span class="title">Pedido realizado</span>
                                <span>@Model.Order.Created</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pago confirmado</span>
                                <span>@Model.Order.ConfirmedDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido empaquetado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                            <div class="description-element">
                                <span class="title">Pedido enviado</span>
                                <span>@Model.Order.DeliveryDate</span>
                            </div>
                        </div>
            }*@


        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {

            $('.js-back').click(function () {
                window.location = '/Account/ShoppingHistory';
            });

        });

        function OpenOcaLink(OrdenRetiro) {
            url = "http://www5.oca.com.ar/ocaepak/historial/Historial_Piezas.asp?IdOrdenRetiro=" + OrdenRetiro;
            window.open(url, 'popup', 'height=450px,width=600px')
        }
    </script>


}
